#include <stdio.h>

typedef FILE Biobufhdr;
typedef Biobufhdr Biobuf;

static int lastc;

static int
Bgetc(Biobufhdr *bp)
{
	lastc = fgetc(bp);
	return feof(bp) ? -1 : lastc;
}

static int
Bungetc(Biobufhdr *bp)
{
	ungetc(lastc, bp);
	lastc = 0;
	return 0;
}

static Biobufhdr *
Bfdopen(int f, int mode)
{
	return stdin;
}
